aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-22 07:05:43 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-22 07:05:43 +0100
commit343a7e259402dc193d8de4be6d189791b8234f47 (patch)
tree5b1eb27f8a4c7537f9281f9f380e945901ea8591
parent39ab3277d4d63f405dfd1643c87f91da8b6f5ec9 (diff)
downloadpaludis-343a7e259402dc193d8de4be6d189791b8234f47.tar.gz
paludis-343a7e259402dc193d8de4be6d189791b8234f47.tar.xz
Fix tests for people in freakish time zones.
-rwxr-xr-xpaludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh b/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
index 5199114..660f3fa 100755
--- a/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
+++ b/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
@@ -80,7 +80,7 @@ the/pdepend
the/provide
0
END
-touch -t 199901010101 metadata/cache/cat/flat_list-stale-1 || exit 2
+TZ=UTC touch -t 199901010101 metadata/cache/cat/flat_list-stale-1 || exit 2
mkdir cat/flat_list-eclass
cat <<END > cat/flat_list-eclass/flat_list-eclass-1.ebuild || exit 1
@@ -131,8 +131,8 @@ the/pdepend
the/provide
0
END
-touch -t 197001010001 cat/flat_list-eclass-stale/flat_list-eclass-stale-1.ebuild || exit 2
-touch -t 197001010002 metadata/cache/cat/flat_list-eclass-stale-1 || exit 2
+TZ=UTC touch -t 197001010001 cat/flat_list-eclass-stale/flat_list-eclass-stale-1.ebuild || exit 2
+TZ=UTC touch -t 197001010002 metadata/cache/cat/flat_list-eclass-stale-1 || exit 2
mkdir cat/flat_list-eclass-wrong
cat <<END > cat/flat_list-eclass-wrong/flat_list-eclass-wrong-1.ebuild || exit 1